Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util.gui
Class MemoryMonitor.RepaintThread

    java.lang.Object
      java.lang.Thread
          org.apache.batik.util.gui.MemoryMonitor.RepaintThread

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  MemoryMonitor

public static class MemoryMonitor.RepaintThread
extends java.lang.Thread

This thread repaints a list of components.

Field Summary
`protected java.util.List` | `components` The components to repaint.
`protected java.lang.Runtime` | `runtime` The runtime.
`protected boolean` | `suspended` Whether or not the thread was supended.
`protected long` | `timeout` The repaint timeout

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`MemoryMonitor.RepaintThread(long timeout, java.util.List components)` Creates a new Thread.

Method Summary
`void` | `run()` The thread main method.
`void` | `safeResume()` Resumes the thread.
`void` | `safeSuspend()` Suspends the thread.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### timeout

    protected long timeout

  The repaint timeout

### components

    protected java.util.List components

  The components to repaint.

### runtime

    protected java.lang.Runtime runtime

  The runtime.

### suspended

    protected boolean suspended

  Whether or not the thread was supended.

Constructor Detail

### MemoryMonitor.RepaintThread

    public MemoryMonitor.RepaintThread(long timeout,
                                       java.util.List components)

  Creates a new Thread.

Parameters:
  `timeout` - The time between two repaint in ms.
  `components` - The components to repaint.

Method Detail

### run

    public void run()

  The thread main method.

### safeSuspend

    public void safeSuspend()

  Suspends the thread.

### safeResume

    public void safeResume()

  Resumes the thread.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.